resource "aws_route53_zone" "main" {
  name    = "temper.tv"
  comment = "Main zone for temper.tv"
}

# Points to the Alpha LB in Project Athens
resource "aws_route53_record" "main" {
  zone_id = aws_route53_zone.main.id
  name    = "temper.tv"
  type    = "A"

  alias {
    name  = data.aws_lb.alpha.dns_name
    zone_id = data.aws_lb.alpha.zone_id
    evaluate_target_health = true
  }
}

resource "aws_route53_record" "txt" {
  zone_id = aws_route53_zone.main.id
  name    = "temper.tv"
  type    = "TXT"
  ttl     = 300
  records = [
    "v=spf1 include:_mailcust.gandi.net ?all"
  ]
}

